Subject: bug#10297: closed (Re: bug#10297: 23.1; "unimplemented" interactive find-file for urls)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Mar 2012 23:03:01 +0000

Your bug report

#10297: 23.1; "unimplemented" interactive find-file for urls

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10297: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10297: 23.1; "unimplemented" interactive find-file for urls
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 27 Mar 2012 18:31:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:

> I cannot reproduce this on GNU/Linux using Emacs 23.1, 23.3, or the
> current trunk. I did:
>
> emacs -Q -f url-handler-mode
> C-x C-f http://www.gnu.org RET
>
> If I try to use TAB completion on URLs, I get an "Unimplemented"
> message, which seems entirely reasonable.

I am closing this because I cannot see that there is any bug here.
If you think there is, please reply with a more detailed explanation of
what the problem is.

Subject: 23.1; "unimplemented" interactive find-file for urls
From: Bastian B <[email-masked]>
To: [email-masked]
Date: Wed, 14 Dec 2011 11:40:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

if I try to open a url via C-x C-f I get the message "unimplemented"
in my minibuffer. If I call the find-file function from the
scratch-buffer via elisp the url opens correctly.

The message seems to come from (minibuffer-complete-and-exit) which is
triggered when pressing RET.

Regards

In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7601)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  yas/global-mode: t
  yas/minor-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  swbuff-y-mode: t
  url-handler-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  unify-8859-on-decoding-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f C-a C-y C-k <return> C-g <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
Loading swbuff-y...done
Loading c:/Users/me/.emacs.d/dvc/dvc-load.el (source)...
Loading `ewoc': old-style backquotes detected!
Loading c:/Users/me/.emacs.d/dvc/dvc-load.el (source)...done
Loading c:/Users/me/.emacs.d/my-nxml.el (source)...
Loading c:/Users/me/.emacs.d/nxml-mode-20041004/rng-auto.el (source)...done
Loading c:/Users/me/.emacs.d/my-nxml.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
completion--some: Unimplemented
Quit